%define libopensync libopensync0
%define glibc_core_ver %{get_version glibc-core}
%define opensync_ver %{get_version %libopensync}

%undefine __libtoolize
%define unstable 0
%define _optlevel s
%define _keep_libtool_files 1
%_K_if_ver_lt %glibc_core_ver 2.5
%define _keep_libtool_files 0
%endif

%define qtdir %_qt3dir
%define svn 744693
%add_findprov_lib_path %_libdir/kde3
%add_findreq_skiplist %_bindir/kmail_*.sh
%add_verify_elf_skiplist %_libdir/libindex.so*

%define with_gnokii 0

Name: kdepim
Version: 3.5.10
Release: alt2
Serial: 1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Personal Information Management
Icon: kde-icon.xpm
License: GPL
URL: http://www.kde.org/

Source: kdepim-%version.tar
#Source: kdepim-3.0.98.tar.bz2
Source1: cr16-app-kandy.png
Source2: cr32-app-kandy.png
Source3: cr48-app-kandy.png
Source10: kitchensync-svn-r775024.tar

# RH
Patch1: kdepim-3.4.92-libz.patch
Patch2: kdepim-3.5.3-gcc-4.1.1-8.patch
Patch3: kdepim-3.4.0-kandy-icons.patch

# MDK
Patch40: kdepim-3.5.9-kitchensync-handle-synce.patch
Patch41: kdepim-3.5.9-kitchensync-synce-config.patch

# ALT
Patch100: kdepim-3.5.8-alt-fix-new-kitchensync-linking.patch
Patch101: 3.4-kandy_var_lock.patch
Patch102: 3.1.4-kmail-deflock.patch
Patch103: 3.2.0-kmobile-var-lock.patch
Patch104: 3.5.0-libkalarm-fix-linking.patch
Patch105: kdepim-3.5.8-alt-desktop-categories.patch
#
Patch107: kaddressbook-3.4.1-fix-linking.patch
Patch108: kmail-3.5.7-alt-dont-disregard-umask.patch
Patch109: kmail-3.5.6-alt-def-compose-encoding.patch
Patch110: kdepim-3.5.7-alt-kmail-searchjob.patch

Requires: %name-akregator = %version-%release
Requires: %name-kaddressbook = %version-%release
Requires: %name-kandy = %version-%release
Requires: %name-karm = %version-%release
Requires: %name-kfile = %version-%release
Requires: %name-kleopatra = %version-%release
Requires: %name-kio = %version-%release
Requires: %name-kmail = %version-%release
Requires: %name-kmobile = %version-%release
Requires: %name-knode = %version-%release
Requires: %name-knotes = %version-%release
Requires: %name-kontact = %version-%release
Requires: %name-korganizer = %version-%release
Requires: %name-kode = %version-%release
Requires: %name-korn = %version-%release
Requires: %name-kpilot = %version-%release
Requires: %name-ksync = %version-%release
Requires: %name-ktnef = %version-%release
Requires: %name-libs = %version-%release


# Automatically added by buildreq on Mon Apr 12 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs doxygen flex fontconfig freetype2 gcc-c++ gcc-g77 glib2 kde-settings kdelibs-devel libarts-devel libarts-qt libbluez-devel libgnokii-devel libjpeg-devel liblockdev-devel libmal-devel libpilot-link-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer qt3-doc xml-utils xpm-devel zlib-devel
BuildRequires: xorg-x11-devel doxygen flex gcc-c++
BuildRequires: libbluez-devel libacl-devel libattr-devel
%if %with_gnokii
BuildRequires: libgnokii-devel
%endif
BuildRequires: libjpeg-devel liblockdev-devel %libopensync-devel
BuildRequires: libmal-devel libpilot-link-devel libpng-devel libqt3-devel
BuildRequires: xml-utils zlib-devel libstdc++-devel libsasl2-devel
BuildRequires: libgpgme-devel >= 1.0.0 libgpg-error-devel >= 1.0
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
# hack for apt in hasher
BuildRequires: libarts-devel > 1.0.0 libarts-qtmcop-devel > 1.0.0
BuildRequires: kdelibs >= %version kdelibs-devel >= %version

%description
Information Management applications for the K Desktop Environment.

%package common
Summary: Common empty package for %name
Group:	Graphical desktop/KDE
Requires: kde-common >= 3.2
Conflicts: kdepim <= 3.0
#
%description common
Common empty package for %name

%package akregator
Summary: RSS/Atom feed reader for KDE
Group: Networking/News
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
Provides: akregator = %version-%release
Obsoletes: akregator < %version-%release
#
%description akregator
Akregator allows you to browse through thousands of internet feeds without
the hassle of using a web browser.

%package kio
Summary: Protocol plugins for KDE
Group: Graphical desktop/KDE
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description kio
This package contains imap4 and sieve kio plugins

%package kleopatra
Summary:	KDE Certificate Manager
Group:		Graphical desktop/KDE
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
Provides: kdenetwork-kgpgcertmanager = %version-%release
Obsoletes: kdenetwork-kgpgcertmanager < %version-%release
Provides: kdepim-kgpgcertmanager = %version-%release
Obsoletes: kdepim-kgpgcertmanager < %version-%release
#
%description kleopatra
Certificate manager used by %name for encrypted email

%package kmail
Summary: A mail client for KDE
Group: Networking/Mail
Requires: %name-common = %serial:%version-%release
Requires: %name-libs = %version-%release
Requires: kdebase-kio kdepim-kio
#Requires:  MTA
#Requires: gnupg2 >= 1.9.6
Provides: kdenetwork-kmail = %version-%release
Obsoletes: kdenetwork-kmail
Provides: kdepim-kmailcvt = %version-%release
Obsoletes: kdepim-kmailcvt
#
%description kmail
A mail client for KDE.
KMail supports local mail spools as well as all commonly used
Internet mail protocols (POP3, IMAP, SMTP, ...)

%package knode
Summary: A newsgroup (NNTP) reader for KDE
Group: Networking/News
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
Provides: kdenetwork-knode = %version-%release
Obsoletes: kdenetwork-knode
#
%description knode
A newsgroup (NNTP) reader for KDE.

%package korn
Summary: Multi-folder new mail monitor for KDE
Group: Networking/Mail
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
Provides: kdenetwork-korn = %version-%release
Obsoletes: kdenetwork-korn
#
%description korn
A multi-folder new mail monitor for KDE.
KOrn will display the number of new messages in your mail
folders in kicker (the KDE panel).

%package kode
Summary: Generation of C++ classes representing XML data
Group: Development/C++
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description kode
libkode is a helper library for programmatic generation of C++ code. It includes
a program kode for generation of C++ template files and kxml_compiler for
generation of C++ classes representing XML data described by RelaxNG schemes.

%package kontact
Summary: Integrated solution to your PIM
Group: Graphical desktop/KDE
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description kontact
Kontact is the integrated solution to your personal
information management PIM needs. It combines well-known KDE
applications like KMail, KOrganizer and KAaddressbook into a
single interface to provide easy access to mail, scheduling,
address book and other PIM functionality.

%package ktnef
Summary: TNEF File Viewer
Group: Networking/Mail
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description ktnef
This package contains Microsoft MS-TNEF MIME
attachments viewer for KDE.

%package kmobile
Summary: Manage Mobile Devices
Group: Communications
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description kmobile
Mobile Devices manager

%package devel
Summary: Devel stuff for kdepim
Group: Development/KDE and QT
Requires: %name-common = %serial:%version-%release
Requires: %name = %version-%release
Requires: %{get_dep kdelibs-devel}
#
%description devel
This package contains header files needed if you wish to build applications
based on kdepim.

%package libs
Summary:	Base libraries for kdepim
Group:		Graphical desktop/KDE
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description libs
Base libraries for kdepim

%package kaddressbook
Summary:	Addressbook for KDE
Group:		Graphical desktop/KDE
License: BSD
#
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description kaddressbook
Addressbook for KDE

%package kfile
Summary:	Kfile plugins
Group:		Graphical desktop/KDE
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description kfile
Plugin to allow the standard KDE file dialog to display
information about vCard files and email messages.

%package korganizer
Summary: Electronic organizer for KDE.
Group: Graphical desktop/KDE
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
Requires: kdemultimedia-kmix
#
%description korganizer
Information Management applications for the K Desktop Environment.
  - korganizer: a calendar-of-events and todo-list manager
  - kalarm: gui for setting up personal alarm/reminder messages
  - kalarmd: personal alarm/reminder messages daemon,
    shared by korganizer and kalarm.
  - konsolecalendar: Command line tool for accessing calendar files.

%package kpilot
Summary: KDE support for synchronizing data with a Palm(tm) or compatible PDA
Group: Communications
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description kpilot
KDE support for synchronizing data with a Palm(tm) or compatible PDA.

%package kandy
Summary: KDE support for synchronizing data with cellphones
Group: Graphical desktop/KDE
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description kandy
KDE support for synchronizing data with cellphones.
Install %name-kandy if you want to use %name and have a cellphone.
("kandy" comes from "Handy", the german word used for a cellular)

%package karm
Summary: Time tracking tool
Group: Graphical desktop/KDE
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description karm
KArm - Punjambi language for "work" - tracks time spent on various tasks.
It is useful for tracking hours to be billed to different clients.

%package knotes
Summary: Post-It notes on the desktop
Group: Graphical desktop/KDE
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
#
%description knotes
KNotes allows you to place Post-It notes on your desktop.
In addition to serving as a reminder, KNotes can mail and print your notes,
and accept drag and drop even from remote sites.

%package ksync
Summary:	Syncing collections of data entries
Group:		Graphical desktop/KDE
Requires: %name-common = %serial:%version-%release
Requires: %{get_dep kdelibs}
Provides: kdepim-kitchensync = %version-%release
Obsoletes: kdepim-kitchensync < %version-%release
#
%description ksync
Syncing collections of data entries like
calenders, bookmarks, contacts, mail folders etc.

%prep
%setup -q -n %name-%version
#%setup -q -nkdepim-3.0.98
install -m 0644 %SOURCE1 %SOURCE2 %SOURCE3 kandy/src
%_K_if_ver_gteq %opensync_ver 0.30
rm -rf kitchensync
tar xf %SOURCE10
%patch100 -p1
%endif

# RH
%patch1 -p1
#%patch2 -p1
%patch3 -p1

# MDK
%patch40 -p1
%patch41 -p1

# ALT
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
#
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p0


%if %_keep_libtool_files
for f in `find $PWD -type f -name Makefile.am`
do
    grep -q LDFLAGS $f || continue
    RPATH_LINK_OPTS+=" -Wl,-rpath-link,`dirname $f`/.libs"
done
sed -i "s|\(-Wl,--as-needed\)| $RPATH_LINK_OPTS \1|g" admin/acinclude.m4.in
%else
#subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
#subst "s|-Wl,--no-undefined|-Wl,--allow-shlib-undefined|g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
%endif
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"
%configure \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
	--enable-shared \
        --disable-static \
        --enable-fast-install \
        --disable-embedded \
        --disable-palmtop \
        --disable-rpath \
        --with-gnu-ld \
	--enable-new-ldflags \
	--enable-gcc-hidden-visibility \
	--enable-dependency-tracking \
	--enable-pch \
        --with-pic \
        --program-transform-name="" \
        --with-xinerama \
%ifarch x86_64
	--enable-libsuffix=64 \
%endif
	--enable-exchange \
%if %with_gnokii
	--with-gnokii \
%else
	--without-gnokii \
%endif
	--with-sasl \
        --with-gpg=%_bindir/gpg2 \
	--with-gpgsm=%_bindir/gpgsm \
	--enable-newdistrlists
#	--disable-indexlib \
#        --enable-final \

%make_build
%make_build -C kmobile
%make_build -C kitchensync
%make_build -C kfile-plugins/rfc822
%make_build apidox

%install
%if %unstable
%set_strip_method none
%endif
export PATH=%_bindir:$PATH
%make_build DESTDIR=%buildroot install
%make_build DESTDIR=%buildroot install -C kmobile
%make_build DESTDIR=%buildroot install -C kitchensync
%make_build DESTDIR=%buildroot install -C kfile-plugins/rfc822
%make_build DESTDIR=%buildroot install-apidox

chmod 0644 %buildroot/%_libdir/*.la ||:
chmod 0644 %buildroot/%_libkde/*.la ||:


# fix icons placement
mkdir -p %buildroot/%_iconsdir/crystalsvg/32x32/devices
mv %buildroot/%_iconsdir/default.kde/32x32/devices/* %buildroot/%_iconsdir/crystalsvg/32x32/devices
rm -rf %buildroot/%_iconsdir/default.kde



%post kleopatra
%post_ldconfig
%postun kleopatra
%postun_ldconfig

%post kmail
%update_menus
%postun kmail
%clean_menus

%post knode
%update_menus
%postun knode
%clean_menus

%post korn
%update_menus
%postun korn
%clean_menus

%post ktnef
%update_menus
%postun ktnef
%clean_menus

%post kontact
%update_menus
%postun kontact
%clean_menus

%post kmobile
%update_menus
%postun kmobile
%clean_menus

%post ksync
%update_menus
%postun ksync
%clean_menus

%post libs
%post_ldconfig
%postun libs
%postun_ldconfig

%post kaddressbook
%update_menus
%postun kaddressbook
%clean_menus

%post korganizer
%update_menus
%post_ldconfig
%postun korganizer
%clean_menus
%postun_ldconfig

%post kpilot
%update_menus
%post_ldconfig
%postun kpilot
%clean_menus
%postun_ldconfig

%post kandy
%update_menus
%postun kandy
%clean_menus

%post karm
%update_menus
%postun karm
%clean_menus

%post knotes
%update_menus
%postun knotes
%clean_menus

%post akregator
%update_menus
%post_ldconfig
%postun akregator
%clean_menus
%postun_ldconfig


%files
%files common

%files akregator
%_bindir/akregator
%_libdir/libakregatorprivate.so*
%_libdir/kde3/libakregatorpart.so*
%_libdir/kde3/libakregator_mk4storage_plugin.so*
%_datadir/apps/akregator/
%_datadir/services/feed.protocol
%_datadir/services/akregator_part.desktop
%_datadir/services/akregator_mk4storage_plugin.desktop
%_datadir/servicetypes/akregator_plugin.desktop
%_iconsdir/*/*/apps/akregator*
%_iconsdir/*/*/actions/button_fewer.png
%_iconsdir/*/*/actions/button_more.png
%_iconsdir/*/*/actions/rss_tag.png
%doc %_docdir/HTML/en/akregator/
%_Kmenudir/akregator.desktop

%files kandy
%_bindir/kandy*
%_Kapplnk/Utilities/kandy*
%_Kmenudir/kandy*
%_datadir/apps/kandy
%_iconsdir/*/*/apps/kandy.*
%doc %_docdir/HTML/en/kandy

%files kaddressbook
%_bindir/kabc2mutt
%_bindir/kaddressbook
%_libdir/libkabinterfaces.so*
%_libdir/libkaddressbook.so*
%_libdir/libkabcscalix.so*
%_libdir/kde3/libkaddressbookpart.so*
%_libdir/kde3/kabc_*.so*
%_libdir/kde3/kcm_kabconfig.so*
%_libdir/kde3/kcm_kabcustomfields.so*
%_libdir/kde3/kcm_kabldapconfig.so*
%_libdir/kde3/ldifvcardthumbnail.so*
%_libdir/kde3/libkaddrbk_*.so*
%_datadir/apps/kaddressbook
%_datadir/services/kabconfig.desktop
%_datadir/services/kabcustomfields.desktop
%_datadir/services/kabldapconfig.desktop
%_datadir/services/kaddressbook/
%_datadir/services/kresources/kabc
%_datadir/services/ldifvcardthumbnail.desktop
%_datadir/servicetypes/dcopaddressbook.desktop
%_datadir/servicetypes/kaddressbook*.desktop
%_iconsdir/*/*/apps/kaddressbook.png
%doc %_docdir/HTML/en/kaddressbook
%_Kmenudir/kaddressbook.desktop

%files kio
%_libdir/kde3/kio_imap4.so*
%_datadir/services/imap4.protocol
%_datadir/services/imaps.protocol
#%_datadir/services/overview.desktop
%_libdir/kde3/kio_sieve.so*
%_datadir/services/sieve.protocol
%_libdir/kde3/kio_mbox.so*
%_datadir/services/mbox.protocol
%_libdir/kde3/kio_groupwise.so*
%_datadir/services/groupwise.protocol
%_datadir/services/groupwises.protocol

%files kmail
%_bindir/indexlib-config
%_bindir/kmail
%_bindir/kmail_*.sh
%_bindir/kmailcvt
%_libdir/libkmailprivate.so*
%_libdir/kde3/kcm_kmail.so*
%_libdir/kde3/libkmailpart.so*
%_libdir/kde3/libkmail_bodypartformatter_*.so*
%_datadir/apps/kconf_update/kmail*
%_datadir/apps/kconf_update/kpgp.upd
%_datadir/apps/kconf_update/upgrade-signature.pl
%_datadir/apps/kconf_update/upgrade-transport.pl
%_datadir/apps/kmail
%_datadir/apps/kmailcvt
%_datadir/services/kmail_config_*.desktop
%_datadir/servicetypes/dcopimap.desktop
%_datadir/servicetypes/dcopmail.desktop
%_iconsdir/*/*/apps/kmail.*
%_iconsdir/*/*/apps/kmaillight.*
%_iconsdir/*/*/*/kmailcvt.*
%doc %_docdir/HTML/en/kmail
%_Kmenudir/KMail.desktop
%_Kmenudir/kmail_view.desktop
%_Kapplnk/Utilities/kmailcvt.desktop

%files knode
%_bindir/knode
%_libdir/libknodecommon.so*
%_libdir/kde3/kcm_knode.so*
%_libdir/kde3/libknodepart.so*
%_datadir/apps/knode
%_datadir/services/knode_config_*.desktop
%_datadir/services/knewsservice.protocol
%_iconsdir/*/*/apps/knode*
%_Kmenudir/KNode.desktop
%doc %_docdir/HTML/en/knode

%files korn
%_bindir/korn
%_datadir/apps/kconf_update/korn-3-5-metadata-update.pl
%_datadir/apps/kconf_update/korn-3-5-ssl-update.pl
%_datadir/apps/kconf_update/korn-3-5-update.upd
%_libdir/kconf_update_bin/korn-3-4-config_change
%_datadir/apps/kconf_update/korn-3-4-config_change.upd
%_iconsdir/*/*/apps/korn*
%_Kmenudir/KOrn.desktop
%doc %_docdir/HTML/en/korn

%files kode
%doc kode/README
%_bindir/kode
%_bindir/kxml_compiler
%_libdir/libkode.so*

%files kontact
%_bindir/scalixadmin
%_bindir/scalixwizard
%_libdir/kde3/kio_scalix.so*
%_libdir/kde3/libscalixwizard.so*
%_datadir/services/scalix.protocol
%_datadir/services/scalixs.protocol
#
%_bindir/egroupwarewizard
%_bindir/groupwarewizard
%_bindir/exchangewizard
%_bindir/groupwisewizard
%_bindir/kolabwizard
%_bindir/sloxwizard
%_bindir/kontact
%_libdir/libkontact.so*
%_libdir/libkpinterfaces.so*
%_libdir/kde3/libexchangewizard.so*
%_libdir/kde3/libgroupwisewizard.so*
%_libdir/kde3/libegroupwarewizard.so*
%_libdir/kde3/libkolabwizard.so*
%_libdir/kde3/libsloxwizard.so*
%_libdir/kde3/kcm_kontact.so*
#%_libdir/kde3/kcm_kabsummary.so*
%_libdir/kde3/kcm_kmailsummary.so*
%_libdir/kde3/kcm_kontactknt.so*
%_libdir/kde3/kcm_kontactsummary.so*
%_libdir/kde3/kcm_korgsummary.so*
%_libdir/kde3/kcm_sdsummary.so*
%_libdir/kde3/libkontact_*.so*
%_datadir/apps/kontact/
%_datadir/apps/kontactsummary/
%_iconsdir/*/*/actions/kontact_*
%_iconsdir/*/*/apps/kontact.png
#%_iconsdir/*/*/apps/korganizer_todo.png
%_datadir/services/kontact*
%_datadir/services/kcmsdsummary.desktop
#%_datadir/services/kcmkabsummary.desktop
%_datadir/services/kcmkmailsummary.desktop
%_datadir/services/kcmkontactknt.desktop
%_datadir/services/kcmkontactsummary.desktop
%_datadir/services/kcmkorgsummary.desktop
%_datadir/servicetypes/kontactplugin.desktop
%_Kmenudir/Kontact.desktop
%_Kmenudir/groupwarewizard.desktop
%_Kmenudir/kontactdcop.desktop
%_docdir/HTML/en/kontact/
%doc README.Kolab

%files ktnef
%_bindir/ktnef
%_Kmenudir/ktnef.desktop
%_datadir/apps/ktnef
%_iconsdir/*/*/apps/ktnef.png
%_datadir/mimelnk/application/ms-tnef.desktop
%doc %_docdir/HTML/en/ktnef

%files ksync
%_bindir/kitchensync
%_libdir/libkitchensync.so*
%_libdir/libqopensync.so*
%_libdir/kde3/libkitchensyncpart.so*
%_datadir/apps/kitchensync
%_iconsdir/*/*/*/kitchensync.*
%_Kmenudir/kitchensync.desktop
#%_bindir/multisynk
#%_libdir/libdummykonnector.so*
#%_libdir/libkabckonnector.so*
#%_libdir/libkcalkonnector.so*
#%_libdir/libmultisynk.so*
#%_libdir/libksharedfile.so*
#%_libdir/libkitchensyncui.so*
#%_libdir/libkonnector.so*
#%_libdir/liblocalkonnector.so*
#%_libdir/libqtopiakonnector.so*
#%_libdir/libremotekonnector.so*
#%_libdir/kde3/libksfilter_addressbook.so*
#%_libdir/kde3/libksfilter_calendar.so*
#%_libdir/kde3/liboverviewpart.so*
#%_libdir/kde3/libmultisynkpart.so*
#%_libdir/kde3/libkded_ksharedfile.*
#%_libdir/kde3/libksync_*.so*
#%_datadir/apps/konqueror/servicemenus/kitchensync*
#%_datadir/apps/multisynk
#%_datadir/servicetypes/filter.desktop
#%_datadir/servicetypes/kitchensync.desktop
#%_datadir/servicetypes/konnector.desktop
#%_datadir/services/kitchensync/
#%_datadir/services/kded/ksharedfile.desktop
#%_datadir/services/overview.desktop
#%_datadir/services/kresources/konnector/
#%_datadir/services/kresources/konnector_*.desktop
#%_datadir/mimelnk/kdedevice/cellphone.desktop
#%_datadir/mimelnk/kdedevice/pda.desktop
#%_iconsdir/*/*/*/multisynk.*
#%doc %_docdir/HTML/en/multisynk
#%_Kmenudir/multisynk.desktop

%files kleopatra
%_bindir/kleopatra
%_bindir/kwatchgnupg
%_libdir/kde3/kcm_kleopatra.so*
%_datadir/applications/kde/kleopatra_import.desktop
%_datadir/apps/kleopatra
%_datadir/apps/kwatchgnupg
%_datadir/services/kleopatra_config_*.desktop
%doc %_docdir/HTML/en/kleopatra
%doc %_docdir/HTML/en/kwatchgnupg

%files kmobile
%_bindir/kmobile
%_libdir/libkmobileclient.so*
%_libdir/libkmobiledevice.so*
#%_libdir/kde3/kio_mobile.so*
%_libdir/kde3/libkmobile*.so*
%_Kmenudir/kmobile.desktop
%_datadir/apps/kmobile/
%_iconsdir/*/*/apps/kmobile.png
%_iconsdir/*/*/devices/mobile_*.png
#%_datadir/mimelnk/inode/mobile_*.desktop
#%_datadir/services/cellphone.protocol
%_datadir/services/*kmobile_*.desktop
#%_datadir/services/mobile.protocol
#%_datadir/services/organizer.protocol
#%_datadir/services/pda.protocol
%_datadir/servicetypes/libkmobile.desktop


%files libs
%_bindir/networkstatustestservice
#%_libdir/libgwsoap.so*
%_libdir/libindex.so*
%_libdir/kde3/kded_networkstatus.so*
%_datadir/services/kded/networkstatus.desktop
#
#
%_libdir/libkcalscalix.so*
%_libdir/libgwsoap.so*
%_libdir/libkholidays.so*
%_datadir/apps/libkholidays/
%_datadir/apps/kdepim/
#
%_libdir/libkabc_*.so*
%_libdir/libkabckolab.so*
%_libdir/libkgroupwarebase.so*
%_libdir/libkgroupwaredav.so*
%_libdir/libkgantt.so*
#%_libdir/libkcalsystem.so*
%_libdir/libkcal.so*
%_libdir/libkcal_*.so*
%_libdir/libkcalkolab.so*
%_libdir/libkdepim.so*
#%_libdir/libknewstuff.so*
%_libdir/libknoteskolab.so*
%_libdir/libknotes_*.so*
%_libdir/libkpimidentities.so*
%_libdir/libksieve.so*
#%_libdir/libksync.so*
%_libdir/libktnef.so*
#%_libdir/libkdenetwork.so*
#%_libdir/libkdgantt.so*
%_libdir/libmimelib.so*
%_libdir/libkmime.so*
%_libdir/libkslox.so*
%_libdir/kde3/kcal_*.so*
%_datadir/apps/libical/
%_datadir/apps/kconf_update/kpgp-3.1-upgrade-address-data.pl
%_datadir/apps/kconf_update/kolab-resource.upd
%_datadir/apps/kconf_update/upgrade-resourcetype.pl
%_datadir/apps/kgantt/
%_datadir/apps/libkdepim/
%_datadir/apps/kdepimwidgets
%_datadir/services/kresources/kcal/
%_datadir/services/kresources/kcal_manager.desktop
%_datadir/servicetypes/dcopcalendar.desktop
# libkleopatra
%_libdir/libgpgme++.so*
%_libdir/libkpgp.so*
%_libdir/libkleopatra.so*
%_libdir/libqgpgme.so*
%_datadir/apps/libkleopatra
%_iconsdir/*/*/apps/gpg.png
%_iconsdir/*/*/apps/gpgsm.png
# libkpimexchange
%_libdir/libkpimexchange.so*
%_libdir/kde3/resourcecalendarexchange.so*

%files kfile
%_libdir/kde3/kfile_vcf.so*
%_datadir/services/kfile_vcf.desktop
%_libdir/kde3/kfile_palm.so*
%_datadir/services/kfile_palm.desktop
%_libdir/kde3/kfile_rfc822.so*
%_datadir/services/kfile_rfc822.desktop
%_libdir/kde3/kfile_ics.so*
%_datadir/services/kfile_ics.desktop

%files korganizer
#%_bindir/ghns
#%_bindir/khotnewstuff
%_bindir/korga*
%_bindir/konsolekalendar
%_bindir/*alarm*
#%_bindir/kabcfrontend
%_bindir/ical2vcal
#%_libdir/libkalarmd*.so*
%_libdir/libkocorehelper.so*
%_libdir/libkorganizer*.so*
%_libdir/libkorg_*.so*
#%_libdir/kde3/libkcm_alarmdaemon*.so*
%_libdir/kde3/libkorg_*.so*
%_libdir/kde3/kcm_korganizer.so*
%_libdir/kde3/libkorganizerpart.so*
#%_datadir/apps/kalarmdgui
%_datadir/apps/kalarm/
%_datadir/apps/korganizer/
#%_datadir/apps/knewstuff/
%_datadir/apps/korgac/
#%_datadir/applnk/Settings/System/alarmdaemon*
%_Kapplnk/.hidden/kalarm*
%_Kapplnk/Applications/kalarm*
%_Kmenudir/kalarm*
%_Kmenudir/korganizer*
%_Kmenudir/konsolekalendar*
%_datadir/autostart/kalarm*
%_datadir/autostart/korgac*
%_datadir/apps/kconf_update/korganizer.upd
%_datadir/services/korganizer
%_datadir/services/korganizer_config*.desktop
%_datadir/services/webcal*
#%_datadir/services/configcolors.desktop
#%_datadir/services/configfonts.desktop
#%_datadir/services/configfreebusy.desktop
#%_datadir/services/configgroupautomation.desktop
#%_datadir/services/configgroupscheduling.desktop
#%_datadir/services/configmain.desktop
#%_datadir/services/configtime.desktop
#%_datadir/services/configviews.desktop
%_datadir/servicetypes/calendar*
%_datadir/servicetypes/korganizer*
%_datadir/servicetypes/korgprintplugin.desktop
%_iconsdir/*/*/*/korganizer.png
%_iconsdir/*/*/*/kalarm.png
%_iconsdir/*/*/apps/konsolekalendar.png
#%_iconsdir/*/*/actions/knewstuff.png
%doc %_docdir/HTML/en/kalarm
%doc %_docdir/HTML/en/korganizer
%doc %_docdir/HTML/en/konsolekalendar

%files knotes
%_bindir/knotes
%_libdir/libknotesscalix.so*
%_libdir/kde3/knotes_*.so*
%_datadir/apps/knotes
%_datadir/services/kresources/knotes/
%_datadir/services/kresources/knotes_*
%_iconsdir/*/*/*/knotes.png
%_Kmenudir/knotes.desktop
%doc %_docdir/HTML/en/knotes

%files karm
%_bindir/karm
%_libdir/kde3/libkarmpart.so*
%_datadir/apps/karm/
%_datadir/apps/karmpart/
%_Kmenudir/karm.desktop
%_Kapplnk/Utilities/karm.desktop
%_datadir/services/karm_part.desktop
%_iconsdir/*/*/*/karm.png
%doc %_docdir/HTML/en/karm
#%doc %_docdir/HTML/en/kcontrol/kalarmd

%files kpilot
%_bindir/*pilot*
%_bindir/kpalmdoc
%_libdir/libkpilot.so*
%_libdir/kde3/*conduit_*.so*
%_libdir/kde3/kcm_kpilot.so*
%_datadir/apps/kconf_update/kpalmdoc.upd
%_datadir/apps/kconf_update/kpilot.upd
%_datadir/apps/kpilot
%_Kmenudir/*pilot*
%_Kmenudir/kpalmdoc.desktop
%_iconsdir/*/*/*/kpilot*
%_iconsdir/*/*/*/kpalmdoc.png
%_datadir/services/*conduit*
%_datadir/services/kpilot_config*.desktop
%_datadir/servicetypes/*conduit*
%doc %_docdir/HTML/en/kpilot/


%files devel
%if %_keep_libtool_files
%_libdir/*.la
%_libdir/kde3/*.la
%endif
%_libdir/kde3/plugins/designer/
%_includedir/*.h
%_includedir/akregator/
%_includedir/index/
%_includedir/calendar
%_includedir/gpgme++
%_includedir/kabc
%_includedir/kaddressbook
%_includedir/kdepim
%_includedir/kgantt
#%_includedir/kitchensync
%_includedir/kleo
%_includedir/kmail
#%_includedir/knewstuff
%_includedir/kontact
%_includedir/korganizer
%_includedir/kpilot
%_includedir/ksieve
%_includedir/ktnef
%_includedir/libkcal
%_includedir/mimelib
%_includedir/qgpgme
%_includedir/libemailfunctions
%doc %_docdir/HTML/en/kdepim-apidocs/


%changelog
* Tue Oct 21 2008 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.10-alt2
- built kitchensync with stable libopensync0

* Mon Aug 25 2008 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.10-alt1
- new version

* Fri Feb 22 2008 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.9-alt1
- new version
- update kitchensync tarball to svn r775024

* Tue Jan 22 2008 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.8-alt6
- build kitchensync svn snapshot if new opensync >= 0.30 detected

* Thu Jan 10 2008 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.8-alt5
- fix KMail.desktop categories

* Thu Jan 10 2008 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.8-alt4
- return to originag kdepim-3.5.8
- built without indexlib

* Wed Dec 19 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.8-alt3
- update from enterprise branch r744693

* Tue Dec 18 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.8-alt2
- use kdepim enterprise branch r742984

* Tue Oct 16 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.8-alt1
- new version

* Fri Jul 06 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.7-alt4
- add patch to fix templates when forward in kmail

* Mon Jul 02 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.7-alt3
- add UTF-8 encoding to search request via IMAP; thanks lav@alt

* Fri Jun 15 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.7-alt2
- don't disregard umask by default when save mail from KMail

* Wed May 23 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.7-alt1
- new version

* Sat Apr 28 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.6-alt4
- fix kmail multipart compose encoding; thanks stanv@alt
- sync patches from FC

* Fri Apr 13 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.6-alt3
- add patch from upstream to compile with new libpilot-link

* Thu Feb 08 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.6-alt2
- fix desktop categories

* Fri Jan 26 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.6-alt1
- new version

* Wed Dec 20 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.5-alt2
- add patch to update kpilot from svn (apply if libpilot-link >= 0.12.0)

* Mon Oct 16 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.5-alt1
- new version

* Tue Sep 19 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.4-alt2
- disable indexlib in KMail

* Fri Sep 01 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.4-alt1
- new version
- add patches from RH

* Mon Jun 19 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.3-alt2
- bump release to push incoming@ALT

* Mon Jun 05 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.3-alt1
- new version

* Thu May 18 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.2-alt2
- rebuilt with new gcc

* Thu Mar 30 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.2-alt1
- new version

* Thu Mar 23 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.1-alt2
- built without full-text indexing in KMail

* Wed Feb 01 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.1-alt1
- new version

* Mon Dec 05 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.0-alt1
- new version
- built without libgnokii

* Mon Oct 31 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.4.1-alt5
- dont chmod when save attachment from KMail

* Fri Sep 16 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.4.1-alt4
- fix libkaddressbook linking

* Thu Sep 08 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.4.1-alt3
- remove requires MTA from kmail

* Wed Jul 20 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.4.1-alt2
- fix requires

* Mon Jun 06 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.4.1-alt1
- new version

* Thu Mar 31 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.4.0-alt1
- new version

* Thu Jan 20 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.3.2-alt4
- move libktnef to %%name-libs package

* Tue Jan 18 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.3.2-alt3
- rebuild

* Tue Jan 18 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.3.2-alt2
- rebuild with gcc3.4

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.3.2-alt1
- rebuild

* Tue Jan 04 2005 ZerG <zerg@altlinux.ru> 1:3.3.2-alt0.0.M24
- new version

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.3.1-alt2
- rebuild with external libgpgme

* Wed Oct 06 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.3.1-alt1
- new version

* Thu Sep 30 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.3.0-alt1
- new version

* Tue Jul 13 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.3-alt2
- add fix from cvs for searching in non-latin mail bodies

* Mon Jun 07 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.3-alt1
- new version

* Fri May 14 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.2-alt3
- fix kmobile description

* Thu Apr 22 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.2-alt2
- rebuild with new gnokii

* Mon Apr 12 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.2-alt1
- new version
- add patch to smaller KMail settings dialog
  thanks Sergey Shilov <hsv@dstszi.gov.ua>
- add holidays_ru
  thanks Dmitri Drozdov <ddv@altonika.ru>

* Thu Mar 18 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.1-alt1
- update code from KDE_3_2_BRANCH

* Wed Mar 03 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.0-alt1
- new version
- update code from KDE_3_2_BRANCH

* Fri Dec 26 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.4-alt2
- removed *.la files

* Thu Sep 18 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.4-alt1
- update code from cvs

* Thu Aug 21 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.3-alt1
- update code from cvs

* Thu Jul 03 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.2-alt3
- update code from cvs

* Wed Jun 11 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.2-alt2
- fix %post,%postun
- remove alternatives

* Fri May 30 2003 Sergey V Turchin <zerg at altlinux dot ru> 1:3.1.2-alt1
- update code from cvs KDE_3_1_BRANCH

* Mon May 05 2003 Sergey V Turchin <zerg at altlinux dot ru> 1:3.1.1-alt2
- update code from cvs KDE_3_1_BRANCH
- add MDK patches

* Tue Apr 01 2003 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.1-alt1
- update code from cvs KDE_3_1_BRANCH

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt4
- update code from cvs
- apply Patch100

* Wed Feb 05 2003 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt3
- update code from cvs

* Mon Jan 13 2003 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt2
- update code from cvs
- add MDK patches

* Thu Nov 28 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt1
- update from cvs

* Sun Nov 10 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt0.20.rc2
- rc2

* Mon Nov 04 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt0.20.rc1
- rc1. Increase %release to easy check dependencies

* Wed Oct 16 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt0.2
- update from cvs

* Wed Sep 11 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0.3-alt2
- rebuild with gcc 3.2 && objprelink

* Tue Aug 20 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0.3-alt1
- update from cvs

* Fri Aug 09 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0.2-alt1
- new version

* Mon Jun 17 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt2
- add serial
- fix menu items

* Sun May 26 2002 ZerG <zerg@altlinux.ru> 3.0.1-alt1
- new version

* Fri May 17 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt3
- fix kandy to use /var/lock/serial
  thanks Artem Pastuchov <past@yam.ru>

* Mon Apr 29 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt2
- move to /usr

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1
- build for ALT

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.2mdk
- RC2

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix spec file

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.2mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Fix previous changelog
- Fix ./configure
- Clean %%files (i.e. respect alphabetic order and make it readable)

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0 try
